## org.codehaus.groovy.syntax
Class SyntaxException

Base exception indicating a syntax error.

author:
  bob mcwhirter

version:
  $Id: SyntaxException.java 7899 2007-09-03 11:25:08Z paulk $

Field Summary
`int` | `column`
`int` | `line`
`String` | `sourceLocator`

Constructor Summary
`SyntaxException(String message, int line, int column)` Line upon which the error occurred.
`SyntaxException(String message, Throwable cause, int line, int column)`

Method Summary
`int` | `getEndColumn()`
`int` | `getLine()` Retrieve the line upon which the error occurred.
`String` | `getMessage()`
`String` | `getSourceLocator()`
`int` | `getStartColumn()` Retrieve the column upon which the error occurred.
`int` | `getStartLine()`
`void` | `setSourceLocator(String sourceLocator)`

Constructor Detail

### SyntaxException

    public SyntaxException(String message, int line, int column)

  Line upon which the error occurred.

### SyntaxException

    public SyntaxException(String message, Throwable cause, int line, int column)

Method Detail

### getEndColumn

    public int getEndColumn()

  return:
    the end column on which the error occurs

### getLine

    public int getLine()

  Retrieve the line upon which the error occurred.
  return:
    The line.

### getMessage

    public String getMessage()

### getSourceLocator

    public String getSourceLocator()

### getStartColumn

    public int getStartColumn()

  Retrieve the column upon which the error occurred.
  return:
    The column.

### getStartLine

    public int getStartLine()

  return:
    the end of the line on which the error occurs

### setSourceLocator

    public void setSourceLocator(String sourceLocator)